PATCH /v1/purchase-order/
Overview
This endpoint updates selected fields of an existing Purchase Order header identified by its UUID.
It supports partial updates — only the fields provided in the request payload will be modified.
Notes
Authentication and authorization are required.
Partial updates are supported; only provided fields are modified.
System-controlled fields (
pomstNum,pomstCompCode,pomstReleaseNum,pomstObjectOraseq,pomstVUuid) cannot be modified and will be rejected if provided.Audit fields (
pomstIuCreateDate,pomstIuCreateUser,pomstIuUpdateDate,pomstIuUpdateUser) cannot be modified.Processing-only flags (
pomstSelectFlag,pomstPopulateSummary,pomstPostDate) are silently ignored during updates.
UI Navigation
Asset Management → Purchase Orders → Purchase Order Entry
Finders
Not applicable.
This is a PATCH (update) endpoint and does not support finders.
Path Parameters
| Parameter | Description | Type | Required |
|---|---|---|---|
| vuuid | Virtual unique identifier of the Purchase Order | String | True |
Query Standards
Not applicable.
This endpoint does not support finder, limit, offset, or orderBy.
Finders with Example
Not applicable.
Finders are not supported for PATCH operations.
Attributes
The request body must contain a header object with the fields to update.
Only attributes marked as Updatable = True can be modified. System-controlled and audit fields are rejected if provided.
| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Updatable |
|---|---|---|---|---|---|---|
| PomstVenCode | header | pomstVenCode | Vendor code | String | 8 | True |
| PomstDeptCode | header | pomstDeptCode | Department code | String | 6 | True |
| PomstExptdDate | header | pomstExptdDate | Expected delivery date | Date | N/A | True |
| PomstOrdDate | header | pomstOrdDate | Order date | Date | N/A | True |
| PomstTypeCode | header | pomstTypeCode | Purchase Order type code | String | 4 | True |
| PomstStatCode | header | pomstStatCode | Status code | String | 4 | True |
| PomstTermCode | header | pomstTermCode | Payment terms code | String | 4 | True |
| PomstCurrCode | header | pomstCurrCode | Currency code | String | 4 | True |
| PomstFobCode | header | pomstFobCode | FOB code | String | 4 | True |
| PomstBuyCode | header | pomstBuyCode | Buyer code | String | 8 | True |
| PomstAddCode | header | pomstAddCode | Ship-to address code | String | 8 | True |
| PomstShplneCode | header | pomstShplneCode | Shipping line code | String | 8 | True |
| PomstShpmetCode | header | pomstShpmetCode | Shipment method code | String | 8 | True |
| PomstTxt1Code | header | pomstTxt1Code | Text code 1 | String | 8 | True |
| PomstTxt2Code | header | pomstTxt2Code | Text code 2 | String | 8 | True |
| PomstShpinstDesc | header | pomstShpinstDesc | Shipping instructions | String | 255 | True |
| PomstDesc1 | header | pomstDesc1 | Description line 1 | String | 255 | True |
| PomstDesc2 | header | pomstDesc2 | Description line 2 | String | 255 | True |
| PomstReqCode | header | pomstReqCode | Requisition code | String | 8 | True |
| PomstWipAccCode | header | pomstWipAccCode | WIP account code | String | 20 | True |
| PomstWipDeptCode | header | pomstWipDeptCode | WIP department code | String | 6 | True |
| PomstShipinstTxt1Code | header | pomstShipinstTxt1Code | Shipping instruction text code 1 | String | 8 | True |
| PomstShipinstTxt2Code | header | pomstShipinstTxt2Code | Shipping instruction text code 2 | String | 8 | True |
| PomstShipinstTxt3Code | header | pomstShipinstTxt3Code | Shipping instruction text code 3 | String | 8 | True |
| PomstShipinstTxt4Code | header | pomstShipinstTxt4Code | Shipping instruction text code 4 | String | 8 | True |
| PomstShipinstTxt5Code | header | pomstShipinstTxt5Code | Shipping instruction text code 5 | String | 8 | True |
| PomstBilltoAddCode | header | pomstBilltoAddCode | Bill-to address code | String | 8 | True |
| PomstReqReason | header | pomstReqReason | Requisition reason | String | 255 | True |
| PomstVendOrderAddCode | header | pomstVendOrderAddCode | Vendor order address code | String | 8 | True |
| PomstComplianceFlag | header | pomstComplianceFlag | Compliance flag (Y/N) | String | 1 | True |
| PomstActionCode | header | pomstActionCode | Action code | String | 4 | True |
| PomstPrintStatus | header | pomstPrintStatus | Print status | String | 4 | True |
| PomstJobCompCode | header | pomstJobCompCode | Job company code | String | 8 | True |
| PomstJobCode | header | pomstJobCode | Job code | String | 12 | True |
| PomstContactCode | header | pomstContactCode | Contact code | String | 8 | True |
| PomstHoldPaymentFlag | header | pomstHoldPaymentFlag | Hold payment flag (Y/N) | String | 1 | True |
| PomstHoldPaymentDays | header | pomstHoldPaymentDays | Hold payment days | Number | 6 | True |
| PomstAddCompCode | header | pomstAddCompCode | Address company code | String | 8 | True |
| PomstSuspDeptCode | header | pomstSuspDeptCode | Suspense department code | String | 6 | True |
| PomstPorgrCode | header | pomstPorgrCode | PO group code | String | 8 | True |
| PomstDefaultRecCode | header | pomstDefaultRecCode | Default receiving code | String | 8 | True |
| PomstRoutCompCode | header | pomstRoutCompCode | Routing company code | String | 8 | True |
| PomstRoutJobCode | header | pomstRoutJobCode | Routing job code | String | 12 | True |
| PomstDistTypeCode | header | pomstDistTypeCode | Distribution type code | String | 4 | True |
| PomstUserField1 | header | pomstUserField1 | User-defined field 1 | String | 30 | True |
| PomstUserField2 | header | pomstUserField2 | User-defined field 2 | String | 30 | True |
| PomstUserField3 | header | pomstUserField3 | User-defined field 3 | String | 30 | True |
| PomstAdvPayAmt | header | pomstAdvPayAmt | Advance payment amount | Number | 14,2 | True |
| PomstAdvPayPct | header | pomstAdvPayPct | Advance payment percentage | Number | 6,2 | True |
| PomstAdvPayMultiFlag | header | pomstAdvPayMultiFlag | Allow multiple advance payments (Y/N) | String | 1 | True |
| PomstBchNum | header | pomstBchNum | Batch number | Number | 10 | True |
| PomstCompCode | header | pomstCompCode | Company code | String | 8 | False |
| PomstNum | header | pomstNum | Purchase Order number | String | 10 | False |
| PomstReleaseNum | header | pomstReleaseNum | Release number | Number | 6 | False |
| PomstObjectOraseq | header | pomstObjectOraseq | Internal sequence number | Number | 18 | False |
| PomstVUuid | header | pomstVUuid | Virtual unique identifier | String | 64 | False |
| PomstIuCreateDate | header | pomstIuCreateDate | Record creation date | Timestamp | N/A | False |
| PomstIuCreateUser | header | pomstIuCreateUser | Record created by | String | 30 | False |
| PomstIuUpdateDate | header | pomstIuUpdateDate | Last update date | Timestamp | N/A | False |
| PomstIuUpdateUser | header | pomstIuUpdateUser | Last updated by | String | 30 | False |
Basic authentication
OK
"{\n \"header\": {\n \"pomstCompCode\": \"ZZ\",\n \"pomstNum\": \"PZZ00012\",\n \"pomstBchNum\": null,\n \"pomstVenCode\": \"ZZ-ACME\",\n \"pomstDeptCode\": null,\n \"pomstExptdDate\": null,\n \"pomstOrdDate\": \"2026-05-10 18:38:09.0\",\n \"pomstTypeCode\": \"S\",\n \"pomstStatCode\": \"N\",\n \"pomstTermCode\": \"TESTCO\",\n \"pomstCurrCode\": \"US\",\n \"pomstFobCode\": null,\n \"pomstBuyCode\": \"ON\",\n \"pomstAddCode\": \"ADD1\",\n \"pomstShplneCode\": \"DHL\",\n \"pomstShpmetCode\": null,\n \"pomstTxt1Code\": null,\n \"pomstTxt2Code\": null,\n \"pomstShpinstDesc\": null,\n \"pomstDesc1\": \"Updated PO1 Description\",\n \"pomstDesc2\": null,\n \"pomstReqCode\": \"DA\",\n \"pomstWipAccCode\": null,\n \"pomstWipDeptCode\": null,\n \"pomstShipinstTxt1Code\": null,\n \"pomstShipinstTxt2Code\": null,\n \"pomstShipinstTxt3Code\": null,\n \"pomstShipinstTxt4Code\": null,\n \"pomstShipinstTxt5Code\": null,\n \"pomstReleaseNum\": 1,\n \"pomstBilltoAddCode\": \"ADD2\",\n \"pomstReqReason\": null,\n \"pomstVendOrderAddCode\": \"A1\",\n \"pomstComplianceFlag\": \"N\",\n \"pomstActionCode\": null,\n \"pomstPrintStatus\": null,\n \"pomstJobCompCode\": \"ZZ\",\n \"pomstJobCode\": null,\n \"pomstContactCode\": null,\n \"pomstHoldPaymentFlag\": \"N\",\n \"pomstHoldPaymentDays\": null,\n \"pomstAddCompCode\": \"ZZ\",\n \"pomstSuspDeptCode\": null,\n \"pomstIuCreateDate\": \"2026-05-10T18:38:09-04:00\",\n \"pomstIuCreateUser\": \"YASHB\",\n \"pomstIuUpdateDate\": \"2026-05-10T19:08:02-04:00\",\n \"pomstIuUpdateUser\": \"YASHB\",\n \"pomstPorgrCode\": null,\n \"pomstDefaultRecCode\": \"M\",\n \"pomstRoutCompCode\": null,\n \"pomstRoutJobCode\": null,\n \"pomstDistTypeCode\": \"G\",\n \"pomstUserField1\": null,\n \"pomstUserField2\": null,\n \"pomstUserField3\": null,\n \"pomstVUuid\": \"517F3F288557309DE0630B811DAC183E\",\n \"pomstAdvPayAmt\": null,\n \"pomstAdvPayPct\": null,\n \"pomstAdvPayMultiFlag\": \"N\"\n }\n}"